Bug 697961 - memberOf needs to be triggered by internal operations
Summary: memberOf needs to be triggered by internal operations
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Server - memberOf Plug-in
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 690318 389_1.2.9 726742
TreeView+ depends on / blocked
 
Reported: 2011-04-19 19:00 UTC by Nathan Kinder
Modified: 2015-12-10 18:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-10 18:39:46 UTC


Attachments (Terms of Use)
Patch (9.69 KB, patch)
2011-05-10 21:35 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-04-19 19:00:45 UTC
The memberOf plug-in is not currently triggered by internal modify, add, delete, or rename operations.  We need to make it work with internal operations so it can play nicely with other plug-ins that make membership changes, such as the new Auto Membership plug-in.

Comment 3 Nathan Kinder 2011-05-10 21:35:05 UTC
Created attachment 498171 [details]
Patch

Comment 4 Nathan Kinder 2011-05-11 15:45:08 UTC
Pushed to master.  Thanks to Noriko for her review!

Counting objects: 30, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (15/15), done.
Writing objects: 100% (16/16), 2.39 KiB, done.
Total 16 (delta 11), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   11b095f..7eec674  master -> master

Comment 5 Jenny Severance 2011-05-16 16:47:10 UTC
Please add steps to verify this.  Thanks!

Comment 6 Nathan Kinder 2011-05-17 15:39:07 UTC
To verify:

- Set up the auto-membership plug-in.
- Set up the memberOf plug-in
- Add an entry that triggers the auto-membership plug-in to add the new entry as a member of a group.
- Verify that the memberOf attribute was added to the newly created entry by the memberOf plug-in.

Comment 15 Rich Megginson 2011-08-31 18:09:42 UTC
Do we really want to mark this bug as VerifiedUpstream, or do we want to do a QE verification for DSIPA21?

Comment 16 Jenny Severance 2011-08-31 18:20:33 UTC
yeah, I think we should verify for RHEL 6.2 389-ds-base errata, but there needs to be clear steps to verify in pure DS environment ....


Note You need to log in before you can comment on or make changes to this bug.